package com.rjconsultores.ventaboletos.vo.impressaofiscal;

import java.math.BigDecimal;
import java.util.Date;

import com.rjconsultores.ventaboletos.utilerias.DateUtil;

public class ImportacionNaoFiscalVO {
	
	private Integer tipoeventoextraId;
	private String desctipoevento;
	private BigDecimal total;
	private Date fechorvta;

	public Integer getTipoeventoextraId() {
		return tipoeventoextraId;
	}

	public void setTipoeventoextraId(Integer tipoeventoextraId) {
		this.tipoeventoextraId = tipoeventoextraId;
	}

	public String getDesctipoevento() {
		return desctipoevento;
	}

	public void setDesctipoevento(String desctipoevento) {
		this.desctipoevento = desctipoevento;
	}

	public BigDecimal getTotal() {
		return total;
	}

	public void setTotal(BigDecimal total) {
		this.total = total;
	}

	public Date getFechorvta() {
		return fechorvta;
	}

	public void setFechorvta(Date fechorvta) {
		this.fechorvta = fechorvta;
	}
	
	public String getNumeroDocumento() {
		return getTipoeventoextraId() + DateUtil.getStringDate(getFechorvta(), "ddMMyy");
	}

}
